## NAME

s.in.shape - Read an ArcView Shapefile with points or multipoint shapes

## SYNOPSIS

s.in.shape [ -l ] [ -z ] [ -m ] in=name [attribute=attribute category] [height=constant height value]

## DESCRIPTION

The s.in.shape module imports point and multipoint themed ESRI shapefiles into a GRASS sites_list. s.in.shape can be run with command line options as follows: s.in.shape [ -l ] [ -z ] [ -m ] in=name [attribute=attribute category] [height=constant height value] Alternatively, an interactive interface can be started: |

s.in.shape

In this case, the user will be prompted for parameter values using the standard GRASS user interface described in the manual entry for parser.

## FEATURES

Grass files created have the name extracted from the basename of the shapefile.

All the fields in the associated dbf file are imported, but those not recognised as INTEGER, DOUBLE OR STRING are simply recorded as INTEGER with a common value of zero. This is a place-holder for possibly improved type support in the future.

A field may be chosen as the attribute field, or if not, a sequential ID field is created.

Multipoint themes are imported with individual points being each given a separate record, but the original record number is preserved in a special field. It is always the first (after the attribute).

If a measure field is defined in the input theme, this is recorded in a special field. It will be the second if present. A module or script using these sites lists is expected to know if this field is present. This fact is not recorded.

An optional height record for 3d points can be stored if present as a third dimension.

## FLAGS

-l -z |  | List the fields contained in the DBF file associated with the input shapefile, then exit. Include a height with each record. The height will only be recorded if this flag is set, and then will always be given. If the input data does not contain a height field, a constant value is set, which defaults to 0. The default can be over-ridden with the height option - see below.
-m |  | Include a field in the sites file with the measure field from the input theme. This is only used if the input theme defines this field, and the user specifies this flag. Otherwise it is ignored. If present, the measure field will be the second field.

## OPTIONS

in=name |  | Name of input shape file. Provide a full path name or the name of a file in the current directory. Any of the full pathname, basename, or prefix only will suffice.
height=z-value |  | In the event you select the -z option, and there is no in-built height field (zval) in the input file, this can provide a constant height value. Otherwise it is ignored if given.
attribute=a_name |  | Name of the field in the dbf file to use as the attribute in the sites list. Defaults to a sequential index if no attribute field is given, or the given field is a string field.

## BUGS AND CAVEAT

The projection must be set in the mapset before input.

Some site maps do not display all markers.

The time stamp facility does not appear to work at present.

## SEE ALSO

g.mapset, g.region, g.proj, v.in.shape.

## AUTHORS

David D. Gray

Last changed: $Date: 2002/01/25 05:45:35 $